# Constant Field Values

## Contents

- jnr.constants.*

## jnr.constants.*

jnr.constants.PlatformConstants
Modifier and Type
Constant Field
Value
`public static final int`
`BIG_ENDIAN`
`4321`
`public static final int`
`LITTLE_ENDIAN`
`1234`

jnr.constants.platform.aix.Access
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.aix.AddressFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`30L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.aix.Errno
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`127L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.aix.Fcntl
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`13L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.aix.INAddr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4294967295L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.aix.IPProto
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`256L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.aix.LangInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`62L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.aix.Locale
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`5L`
`public static final long`
`MIN_VALUE`
`-1L`
jnr.constants.platform.aix.NameInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1025L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.aix.OpenFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`524288L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.aix.PosixFadvise
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`6L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.aix.PRIO
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`-20L`
jnr.constants.platform.aix.ProtocolFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`30L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.aix.RLIM
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`9223372036854775807L`
`public static final long`
`MIN_VALUE`
`10L`
jnr.constants.platform.aix.RLIMIT
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`9L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.aix.Shutdown
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`2L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.aix.Signal
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`256L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.aix.Sock
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`5L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.aix.SocketLevel
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`65535L`
jnr.constants.platform.aix.SocketOption
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4104L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.aix.Sysconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`160L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.aix.Syslog
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`184L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.aix.TCP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.aix.WaitFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16777216L`
`public static final long`
`MIN_VALUE`
`1L`

jnr.constants.platform.darwin.Access
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.darwin.AddressFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`40L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.darwin.AddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`5127L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.darwin.Confstr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`14L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.darwin.Errno
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`105L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.darwin.ErrnoAddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`15L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.darwin.Fcntl
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`128L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.darwin.INAddr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4294967295L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.darwin.INet
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`16L`
jnr.constants.platform.darwin.INet6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`46L`
`public static final long`
`MIN_VALUE`
`46L`
jnr.constants.platform.darwin.InterfaceInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`32768L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.darwin.IP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4095L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.darwin.IPProto
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`256L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.darwin.IPv6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`36L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.darwin.LangInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`56L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.darwin.Local
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.darwin.Locale
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`6L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.darwin.Multicast
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`85L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.darwin.NameInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1025L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.darwin.OpenFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16777216L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.darwin.Pathconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`25L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.darwin.PosixFadvise
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`0L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.darwin.PRIO
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`-20L`
jnr.constants.platform.darwin.ProtocolFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`40L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.darwin.RLIM
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`9223372036854775807L`
`public static final long`
`MIN_VALUE`
`9L`
jnr.constants.platform.darwin.RLIMIT
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`8L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.darwin.Shutdown
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`2L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.darwin.Signal
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`32L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.darwin.Sock
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`255L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.darwin.SocketControlMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`3L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.darwin.SocketLevel
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`65535L`
jnr.constants.platform.darwin.SocketMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16384L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.darwin.SocketOption
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`32768L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.darwin.Sysconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`131L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.darwin.Syslog
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`184L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.darwin.TCP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.darwin.UDP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`0L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.darwin.WaitFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`32L`
`public static final long`
`MIN_VALUE`
`1L`

jnr.constants.platform.dragonflybsd.Access
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.dragonflybsd.AddressFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`36L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.dragonflybsd.AddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`2048L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.dragonflybsd.Confstr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`27L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.dragonflybsd.Errno
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`93L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.dragonflybsd.ErrnoAddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`15L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.dragonflybsd.Fcntl
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`128L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.dragonflybsd.INAddr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4294967295L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.dragonflybsd.INet
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`16L`
jnr.constants.platform.dragonflybsd.INet6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`46L`
`public static final long`
`MIN_VALUE`
`46L`
jnr.constants.platform.dragonflybsd.InterfaceInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`3247730L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.dragonflybsd.IP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`66L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.dragonflybsd.IPProto
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`256L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.dragonflybsd.IPv6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`62L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.dragonflybsd.LangInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`56L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.dragonflybsd.Local
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.dragonflybsd.Locale
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`6L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.dragonflybsd.Multicast
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`0L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.dragonflybsd.NameInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1025L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.dragonflybsd.OpenFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`134217728L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.dragonflybsd.Pathconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`55L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.dragonflybsd.PosixFadvise
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`5L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.dragonflybsd.PRIO
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`-20L`
jnr.constants.platform.dragonflybsd.ProtocolFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`36L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.dragonflybsd.RLIM
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`9223372036854775807L`
`public static final long`
`MIN_VALUE`
`12L`
jnr.constants.platform.dragonflybsd.RLIMIT
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`10L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.dragonflybsd.Shutdown
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`2L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.dragonflybsd.Signal
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`64L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.dragonflybsd.Sock
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`536870912L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.dragonflybsd.SocketControlMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`3L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.dragonflybsd.SocketLevel
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`65535L`
jnr.constants.platform.dragonflybsd.SocketMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1024L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.dragonflybsd.SocketOption
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4104L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.dragonflybsd.Sysconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`120L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.dragonflybsd.Syslog
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`184L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.dragonflybsd.TCP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.dragonflybsd.UDP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`0L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.dragonflybsd.WaitFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`1L`

jnr.constants.platform.fake.Access
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.fake.AddressFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`56L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.AddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`10L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.Confstr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`31L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.Errno
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`148L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.ErrnoAddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`15L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.Fcntl
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`40L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.fake.INAddr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`8L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.INet
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.INet6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.InterfaceInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`58L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.IP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`44L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.IPProto
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`28L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.IPv6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`27L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.LangInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`47L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.LastError
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`145L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.Local
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`3L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.Locale
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`12L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.fake.Multicast
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`9L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.NameInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`8L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.OpenFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`2097152L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.Pathconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.PosixFadvise
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`6L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.PRIO
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`5L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.ProtocolFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`52L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.RLIM
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.RLIMIT
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`18L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.Shutdown
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`2L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.fake.Signal
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`38L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.Sock
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`8L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.SocketControlMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`9L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.SocketLevel
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`5L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.SocketMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`24L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.SocketOption
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`64L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.Sysconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`128L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.Syslog
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`37L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.TCP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`38L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.UDP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.fake.WaitFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`32L`
`public static final long`
`MIN_VALUE`
`1L`

jnr.constants.platform.freebsd.Access
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.AddressFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`43L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.AddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`3343L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.Confstr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`14L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.Errno
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`96L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.ErrnoAddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`15L`
`public static final long`
`MIN_VALUE`
`2L`
jnr.constants.platform.freebsd.Fcntl
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`128L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.INAddr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4294967295L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.INet
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`16L`
jnr.constants.platform.freebsd.INet6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`46L`
`public static final long`
`MIN_VALUE`
`46L`
jnr.constants.platform.freebsd.InterfaceInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4194304L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.IP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4095L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.IPProto
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`256L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.IPv6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`62L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.LangInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`56L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.Local
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.Locale
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`6L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.Multicast
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`85L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.NameInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1025L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.OpenFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1048576L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.Pathconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`55L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.PosixFadvise
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`5L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.PRIO
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`-20L`
jnr.constants.platform.freebsd.ProtocolFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`43L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.RLIM
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`9223372036854775807L`
`public static final long`
`MIN_VALUE`
`15L`
jnr.constants.platform.freebsd.RLIMIT
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`10L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.Shutdown
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`2L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.Signal
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`126L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.Sock
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`255L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.SocketControlMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.SocketLevel
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`65535L`
jnr.constants.platform.freebsd.SocketMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`131072L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.SocketOption
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4112L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.Sysconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`120L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.Syslog
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`184L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.TCP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.UDP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`0L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.WaitFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`1L`

jnr.constants.platform.freebsd.aarch64.Access
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.aarch64.AddressFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`43L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.aarch64.AddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`3343L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.aarch64.Confstr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`14L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.aarch64.Errno
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`96L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.aarch64.ErrnoAddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`15L`
`public static final long`
`MIN_VALUE`
`2L`
jnr.constants.platform.freebsd.aarch64.Fcntl
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`128L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.aarch64.INAddr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4294967295L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.aarch64.INet
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`16L`
jnr.constants.platform.freebsd.aarch64.INet6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`46L`
`public static final long`
`MIN_VALUE`
`46L`
jnr.constants.platform.freebsd.aarch64.InterfaceInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4194304L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.aarch64.IP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4095L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.aarch64.IPProto
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`256L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.aarch64.IPv6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`62L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.aarch64.LangInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`56L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.aarch64.Local
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.aarch64.Locale
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`6L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.aarch64.Multicast
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`85L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.aarch64.NameInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1025L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.aarch64.OpenFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1048576L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.aarch64.Pathconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`55L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.aarch64.PosixFadvise
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`5L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.aarch64.PRIO
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`-20L`
jnr.constants.platform.freebsd.aarch64.ProtocolFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`43L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.aarch64.RLIM
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`9223372036854775807L`
`public static final long`
`MIN_VALUE`
`15L`
jnr.constants.platform.freebsd.aarch64.RLIMIT
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`10L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.aarch64.Shutdown
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`2L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.aarch64.Signal
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`126L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.aarch64.Sock
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`255L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.aarch64.SocketControlMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.aarch64.SocketLevel
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`65535L`
jnr.constants.platform.freebsd.aarch64.SocketMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`131072L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.aarch64.SocketOption
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4112L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.aarch64.Sysconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`120L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.aarch64.Syslog
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`184L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.aarch64.TCP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.freebsd.aarch64.UDP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`0L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.freebsd.aarch64.WaitFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`1L`

jnr.constants.platform.linux.Access
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.AddressFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`45L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.AddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1024L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.Confstr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1149L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.Errno
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`133L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.ErrnoAddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`-1L`
`public static final long`
`MIN_VALUE`
`-12L`
jnr.constants.platform.linux.Fcntl
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1052672L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.INAddr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4294967295L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.INet
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`16L`
jnr.constants.platform.linux.INet6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`46L`
`public static final long`
`MIN_VALUE`
`46L`
jnr.constants.platform.linux.InterfaceInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`32768L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.IP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`41L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.IPProto
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`255L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.IPv6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`67L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.LangInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`327681L`
`public static final long`
`MIN_VALUE`
`14L`
jnr.constants.platform.linux.Local
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`0L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.Locale
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`12L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.Multicast
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`48L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.NameInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1025L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.OpenFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4259840L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.Pathconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.PosixFadvise
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`5L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.PRIO
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`-20L`
jnr.constants.platform.linux.ProtocolFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`45L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.RLIM
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`-1L`
`public static final long`
`MIN_VALUE`
`16L`
jnr.constants.platform.linux.RLIMIT
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.Shutdown
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`2L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.Signal
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.Sock
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`524288L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.SocketControlMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`41L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.SocketLevel
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`41L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.SocketMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`536870912L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.SocketOption
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`48L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.Sysconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`246L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.Syslog
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`184L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.TCP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.UDP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.WaitFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16777216L`
`public static final long`
`MIN_VALUE`
`1L`

jnr.constants.platform.linux.aarch64.Access
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.aarch64.AddressFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`45L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.aarch64.AddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1024L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.aarch64.Confstr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1149L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.aarch64.Errno
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`133L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.aarch64.ErrnoAddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`-1L`
`public static final long`
`MIN_VALUE`
`-12L`
jnr.constants.platform.linux.aarch64.Fcntl
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1052672L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.aarch64.INAddr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4294967295L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.aarch64.INet
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`16L`
jnr.constants.platform.linux.aarch64.INet6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`46L`
`public static final long`
`MIN_VALUE`
`46L`
jnr.constants.platform.linux.aarch64.InterfaceInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`32768L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.aarch64.IP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`41L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.aarch64.IPProto
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`255L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.aarch64.IPv6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`67L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.aarch64.LangInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`327681L`
`public static final long`
`MIN_VALUE`
`14L`
jnr.constants.platform.linux.aarch64.Local
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`0L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.aarch64.Locale
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`12L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.aarch64.Multicast
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`48L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.aarch64.NameInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1025L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.aarch64.OpenFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4210688L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.aarch64.Pathconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.aarch64.PosixFadvise
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`5L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.aarch64.PRIO
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`-20L`
jnr.constants.platform.linux.aarch64.ProtocolFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`45L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.aarch64.RLIM
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`-1L`
`public static final long`
`MIN_VALUE`
`16L`
jnr.constants.platform.linux.aarch64.RLIMIT
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.aarch64.Shutdown
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`2L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.aarch64.Signal
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.aarch64.Sock
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`524288L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.aarch64.SocketControlMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`41L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.aarch64.SocketLevel
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`41L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.aarch64.SocketMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`536870912L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.aarch64.SocketOption
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`48L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.aarch64.Sysconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`246L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.aarch64.Syslog
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`184L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.aarch64.TCP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.aarch64.UDP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.aarch64.WaitFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16777216L`
`public static final long`
`MIN_VALUE`
`1L`

jnr.constants.platform.linux.loongarch64.Access
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.loongarch64.AddressFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`45L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.loongarch64.AddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1024L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.loongarch64.Confstr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1149L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.loongarch64.Errno
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`133L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.loongarch64.ErrnoAddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`-1L`
`public static final long`
`MIN_VALUE`
`-12L`
jnr.constants.platform.linux.loongarch64.Fcntl
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1052672L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.loongarch64.INAddr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4294967295L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.loongarch64.INet
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`16L`
jnr.constants.platform.linux.loongarch64.INet6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`46L`
`public static final long`
`MIN_VALUE`
`46L`
jnr.constants.platform.linux.loongarch64.InterfaceInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`32768L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.loongarch64.IP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`41L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.loongarch64.IPProto
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`255L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.loongarch64.IPv6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`67L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.loongarch64.LangInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`327681L`
`public static final long`
`MIN_VALUE`
`14L`
jnr.constants.platform.linux.loongarch64.Local
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`0L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.loongarch64.Locale
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`12L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.loongarch64.Multicast
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`48L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.loongarch64.NameInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1025L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.loongarch64.OpenFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4259840L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.loongarch64.Pathconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.loongarch64.PosixFadvise
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`5L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.loongarch64.PRIO
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`-20L`
jnr.constants.platform.linux.loongarch64.ProtocolFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`45L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.loongarch64.RLIM
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`-1L`
`public static final long`
`MIN_VALUE`
`16L`
jnr.constants.platform.linux.loongarch64.RLIMIT
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.loongarch64.Shutdown
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`2L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.loongarch64.Signal
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`128L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.loongarch64.Sock
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`5L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.loongarch64.SocketControlMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`41L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.loongarch64.SocketLevel
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`41L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.loongarch64.SocketMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`536870912L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.loongarch64.SocketOption
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`30L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.loongarch64.Sysconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`246L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.loongarch64.TCP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.loongarch64.UDP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.loongarch64.WaitFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16777216L`
`public static final long`
`MIN_VALUE`
`1L`

jnr.constants.platform.linux.mips64el.Access
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.mips64el.AddressFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`44L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.mips64el.AddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1024L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.mips64el.Confstr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1149L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.mips64el.Errno
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1133L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.mips64el.ErrnoAddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`-1L`
`public static final long`
`MIN_VALUE`
`-12L`
jnr.constants.platform.linux.mips64el.Fcntl
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16400L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.mips64el.INAddr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4294967295L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.mips64el.INet
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`16L`
jnr.constants.platform.linux.mips64el.INet6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`46L`
`public static final long`
`MIN_VALUE`
`46L`
jnr.constants.platform.linux.mips64el.InterfaceInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`32768L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.mips64el.IP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`41L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.mips64el.IPProto
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`255L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.mips64el.IPv6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`67L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.mips64el.LangInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`327681L`
`public static final long`
`MIN_VALUE`
`14L`
jnr.constants.platform.linux.mips64el.Local
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`0L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.mips64el.Locale
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`12L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.mips64el.Multicast
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`48L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.mips64el.NameInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1025L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.mips64el.OpenFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4259840L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.mips64el.Pathconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.mips64el.PosixFadvise
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`5L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.mips64el.PRIO
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`-20L`
jnr.constants.platform.linux.mips64el.ProtocolFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`44L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.mips64el.RLIM
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`-1L`
`public static final long`
`MIN_VALUE`
`16L`
jnr.constants.platform.linux.mips64el.RLIMIT
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.mips64el.Shutdown
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`2L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.mips64el.Signal
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`128L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.mips64el.Sock
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`5L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.mips64el.SocketControlMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`41L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.mips64el.SocketLevel
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.mips64el.SocketMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`536870912L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.mips64el.SocketOption
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4105L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.mips64el.Sysconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`246L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.mips64el.TCP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.mips64el.UDP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.mips64el.WaitFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16777216L`
`public static final long`
`MIN_VALUE`
`1L`

jnr.constants.platform.linux.powerpc64.Access
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.powerpc64.AddressFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`44L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.powerpc64.AddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1024L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.powerpc64.Confstr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1149L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.powerpc64.Errno
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`133L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.powerpc64.ErrnoAddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`-1L`
`public static final long`
`MIN_VALUE`
`-12L`
jnr.constants.platform.linux.powerpc64.Fcntl
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1052672L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.powerpc64.INAddr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4294967295L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.powerpc64.INet
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`16L`
jnr.constants.platform.linux.powerpc64.INet6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`46L`
`public static final long`
`MIN_VALUE`
`46L`
jnr.constants.platform.linux.powerpc64.InterfaceInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`32768L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.powerpc64.IP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`41L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.powerpc64.IPProto
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`255L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.powerpc64.IPv6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`67L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.powerpc64.LangInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`327681L`
`public static final long`
`MIN_VALUE`
`14L`
jnr.constants.platform.linux.powerpc64.Local
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`0L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.powerpc64.Locale
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`12L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.powerpc64.Multicast
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`48L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.powerpc64.NameInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1025L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.powerpc64.OpenFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4210688L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.powerpc64.Pathconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.powerpc64.PosixFadvise
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`5L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.powerpc64.PRIO
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`-20L`
jnr.constants.platform.linux.powerpc64.ProtocolFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`44L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.powerpc64.RLIM
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`-1L`
`public static final long`
`MIN_VALUE`
`16L`
jnr.constants.platform.linux.powerpc64.RLIMIT
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.powerpc64.Shutdown
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`2L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.powerpc64.Signal
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.powerpc64.Sock
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`5L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.powerpc64.SocketControlMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`41L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.powerpc64.SocketLevel
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`41L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.powerpc64.SocketMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`536870912L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.powerpc64.SocketOption
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`30L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.powerpc64.Sysconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`246L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.powerpc64.TCP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.powerpc64.UDP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.powerpc64.WaitFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16777216L`
`public static final long`
`MIN_VALUE`
`1L`

jnr.constants.platform.linux.s390x.Access
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.s390x.AddressFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`44L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.s390x.AddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1024L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.s390x.Confstr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1149L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.s390x.Errno
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`133L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.s390x.ErrnoAddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`-1L`
`public static final long`
`MIN_VALUE`
`-12L`
jnr.constants.platform.linux.s390x.Fcntl
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1052672L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.s390x.INAddr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4294967295L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.s390x.INet
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`16L`
jnr.constants.platform.linux.s390x.INet6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`46L`
`public static final long`
`MIN_VALUE`
`46L`
jnr.constants.platform.linux.s390x.InterfaceInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`32768L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.s390x.IP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`41L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.s390x.IPProto
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`255L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.s390x.IPv6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`67L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.s390x.LangInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`327681L`
`public static final long`
`MIN_VALUE`
`14L`
jnr.constants.platform.linux.s390x.Local
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`0L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.s390x.Locale
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`12L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.s390x.Multicast
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`48L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.s390x.NameInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1025L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.s390x.OpenFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4259840L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.s390x.Pathconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.s390x.PosixFadvise
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`7L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.s390x.PRIO
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`-20L`
jnr.constants.platform.linux.s390x.ProtocolFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`44L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.s390x.RLIM
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`-1L`
`public static final long`
`MIN_VALUE`
`16L`
jnr.constants.platform.linux.s390x.RLIMIT
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.s390x.Shutdown
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`2L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.s390x.Signal
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.s390x.Sock
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`5L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.s390x.SocketControlMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`41L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.s390x.SocketLevel
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`41L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.s390x.SocketMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`536870912L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.s390x.SocketOption
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`30L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.s390x.Sysconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`246L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.linux.s390x.TCP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.s390x.UDP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.linux.s390x.WaitFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16777216L`
`public static final long`
`MIN_VALUE`
`1L`

jnr.constants.platform.openbsd.Access
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.openbsd.AddressFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`36L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.openbsd.AddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`119L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.openbsd.Confstr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`31L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.openbsd.Errno
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`95L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.openbsd.ErrnoAddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`-1L`
`public static final long`
`MIN_VALUE`
`-14L`
jnr.constants.platform.openbsd.Fcntl
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`128L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.openbsd.INAddr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4294967295L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.openbsd.INet
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`16L`
jnr.constants.platform.openbsd.INet6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`46L`
`public static final long`
`MIN_VALUE`
`46L`
jnr.constants.platform.openbsd.InterfaceInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`36434L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.openbsd.IP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4095L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.openbsd.IPProto
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`256L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.openbsd.IPv6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`62L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.openbsd.LangInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`51L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.openbsd.Local
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`0L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.openbsd.Locale
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`6L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.openbsd.Multicast
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`0L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.openbsd.NameInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`256L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.openbsd.OpenFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`131072L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.openbsd.Pathconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.openbsd.PosixFadvise
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`0L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.openbsd.PRIO
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`-20L`
jnr.constants.platform.openbsd.ProtocolFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`36L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.openbsd.RLIM
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`9223372036854775807L`
`public static final long`
`MIN_VALUE`
`9L`
jnr.constants.platform.openbsd.RLIMIT
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`8L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.openbsd.Shutdown
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`2L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.openbsd.Signal
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`33L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.openbsd.Sock
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`5L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.openbsd.SocketControlMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.openbsd.SocketLevel
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`65535L`
jnr.constants.platform.openbsd.SocketMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1024L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.openbsd.SocketOption
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4130L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.openbsd.Sysconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`503L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.openbsd.Syslog
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`184L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.openbsd.TCP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.openbsd.UDP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`0L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.openbsd.WaitFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`8L`
`public static final long`
`MIN_VALUE`
`1L`

jnr.constants.platform.solaris.Access
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.solaris.AddressFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`34L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.solaris.AddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`64L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.solaris.Confstr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`919L`
`public static final long`
`MIN_VALUE`
`65L`
jnr.constants.platform.solaris.Errno
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`151L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.solaris.ErrnoAddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`14L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.solaris.Fcntl
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`24L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.solaris.INAddr
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4294967295L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.solaris.INet
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`16L`
jnr.constants.platform.solaris.INet6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`46L`
`public static final long`
`MIN_VALUE`
`46L`
jnr.constants.platform.solaris.InterfaceInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`60413060332378L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.solaris.IP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`27L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.solaris.IPProto
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`256L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.solaris.IPv6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`40L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.solaris.LangInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`57L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.solaris.Local
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`0L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.solaris.Locale
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`6L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.solaris.Multicast
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`46L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.solaris.NameInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1025L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.solaris.OpenFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16777216L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.solaris.Pathconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`67L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.solaris.PosixFadvise
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`5L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.solaris.PRIO
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`2L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.solaris.ProtocolFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`34L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.solaris.RLIM
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`-1L`
`public static final long`
`MIN_VALUE`
`7L`
jnr.constants.platform.solaris.RLIMIT
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`6L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.solaris.Shutdown
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`2L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.solaris.Signal
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`73L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.solaris.Sock
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1048576L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.solaris.SocketControlMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4115L`
`public static final long`
`MIN_VALUE`
`4112L`
jnr.constants.platform.solaris.SocketLevel
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`65535L`
jnr.constants.platform.solaris.SocketMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`512L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.solaris.SocketOption
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1073741826L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.solaris.Sysconf
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`763L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.solaris.Syslog
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`184L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.solaris.TCP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`536L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.solaris.UDP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`0L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.solaris.WaitFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`128L`
`public static final long`
`MIN_VALUE`
`1L`

jnr.constants.platform.windows.AddressFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`33L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.windows.AddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`2048L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.windows.Errno
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`140L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.windows.ErrnoAddressInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`11004L`
`public static final long`
`MIN_VALUE`
`8L`
jnr.constants.platform.windows.INet
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`22L`
`public static final long`
`MIN_VALUE`
`22L`
jnr.constants.platform.windows.INet6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65L`
`public static final long`
`MIN_VALUE`
`65L`
jnr.constants.platform.windows.InterfaceInfo
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`16L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.windows.IP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`20L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.windows.IPProto
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`256L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.windows.IPv6
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`40L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.windows.LastError
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`11004L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.windows.OpenFlags
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`32768L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.windows.ProtocolFamily
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`33L`
`public static final long`
`MIN_VALUE`
`0L`
jnr.constants.platform.windows.Signal
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`23L`
`public static final long`
`MIN_VALUE`
`2L`
jnr.constants.platform.windows.Sock
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`5L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.windows.SocketLevel
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`65535L`
`public static final long`
`MIN_VALUE`
`65535L`
jnr.constants.platform.windows.SocketMessage
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`8L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.windows.SocketOption
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`4104L`
`public static final long`
`MIN_VALUE`
`1L`
jnr.constants.platform.windows.TCP
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_VALUE`
`1L`
`public static final long`
`MIN_VALUE`
`1L`